# ContractPrincipalCV | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

### Hierarchy

- ContractPrincipalCV

## Index

### Properties

- address
- contractName
- type

## Properties

### Readonly address

address: Address

- Defined in packages/transactions/src/clarity/types/principalCV.ts:20

### Readonly contractName

contractName: LengthPrefixedString

- Defined in packages/transactions/src/clarity/types/principalCV.ts:21

### Readonly type

type: PrincipalContract

- Defined in packages/transactions/src/clarity/types/principalCV.ts:19

Generated using TypeDoc